From 493a61fab27a183d96bbe70937d8bbe64bee21e1 Mon Sep 17 00:00:00 2001
From: 3np <3np@example.com>
Date: Thu, 16 Jun 2022 00:36:24 +0900
Subject: [PATCH 03/21] Handle empty session

---
 mopidy_spotify/browse.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/mopidy_spotify/browse.py b/mopidy_spotify/browse.py
index d8f31690..37a579d6 100644
--- a/mopidy_spotify/browse.py
+++ b/mopidy_spotify/browse.py
@@ -95,7 +95,7 @@ def _browse_playlist(web_client, uri, config):
 
 
 def _browse_album(session, uri, config):
-    if session.connection.state is not spotify.ConnectionState.LOGGED_IN:
+    if session is None or session.connection.state is not spotify.ConnectionState.LOGGED_IN:
         return []
 
     sp_album_browser = session.get_album(uri).browse()
@@ -108,7 +108,7 @@ def _browse_album(session, uri, config):
 
 
 def _browse_artist(session, uri, config):
-    if session.connection.state is not spotify.ConnectionState.LOGGED_IN:
+    if session is None or session.connection.state is not spotify.ConnectionState.LOGGED_IN:
         return []
 
     sp_artist_browser = session.get_artist(uri).browse(
@@ -176,6 +176,8 @@ def _browse_toplist_user(web_client, variant):
 
 
 def _browse_toplist(config, session, variant, region):
+    if session is None:
+        return []
     if region == "countries":
         codes = config["toplist_countries"]
         if not codes:

